/* 
 * File:   bomberstudent_server.h
 * Author: Arthur Brandao
 *
 * Created on 14 novembre 2018
 */

#ifndef BOMBERSTUDENT_SERVER_H
#define BOMBERSTUDENT_SERVER_H

/* --- Include --- */
#include "constante.h"
#include "server.h"
#include "json.h"

/* --- Constantes --- */
#define PORT_UDP 18624
#define PORT_TCP 18642

/* --- Fonctions --- */
void ini_server();
void add_handler(char*, char*, int(*)(Server, JsonParser*));
boolean launch_udp_server(int);
boolean launch_tcp_server(int);
boolean receive_client(Server);
boolean send_client(Server, JsonEncoder*);
boolean notify_client(Server, char*, char*, JsonEncoder*);

#endif /* BOMBERSTUDENT_SERVER_H */

